org.minidns.dnslabel

## Class FakeALabel

- java.lang.Object
- - org.minidns.dnslabel.DnsLabel
  - - org.minidns.dnslabel.LdhLabel
    - - org.minidns.dnslabel.ReservedLdhLabel
      - - org.minidns.dnslabel.XnLabel
        - - org.minidns.dnslabel.FakeALabel

- All Implemented Interfaces:
    CharSequence, Comparable<DnsLabel>

      public final class FakeALabel
      extends XnLabel

  Represents a fake A-label in DNS labels.
  A fake A-label is a special type of XN-label used for handling certain edge cases in internationalized domain names.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.minidns.dnslabel.DnsLabel

      `DnsLabel.LabelToLongException`

  - ### Field Summary

    - ### Fields inherited from class org.minidns.dnslabel.DnsLabel

      `label, MAX_LABEL_LENGTH_IN_OCTETS, VALIDATE, WILDCARD_LABEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FakeALabel(String label)` Creates a new FakeALabel with the specified label.

  - ### Method Summary

    - ### Methods inherited from class org.minidns.dnslabel.XnLabel

      `fromInternal, isXnLabel, isXnLabelInternal`

    - ### Methods inherited from class org.minidns.dnslabel.ReservedLdhLabel

      `isReservedLdhLabel, isReservedLdhLabelInternal`

    - ### Methods inherited from class org.minidns.dnslabel.LdhLabel

      `isLdhLabel`

    - ### Methods inherited from class org.minidns.dnslabel.DnsLabel

      `asLowercaseVariant, charAt, compareTo, equals, from, from, getInternationalizedRepresentation, getInternationalizedRepresentationInternal, getLabelType, hashCode, isIdnAcePrefixed, length, subSequence, toString, writeToBoas`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.CharSequence

      `chars, codePoints`

- - ### Constructor Detail

    - #### FakeALabel

          protected FakeALabel(String label)

      Creates a new FakeALabel with the specified label.
      Parameters:
        `label` - the DNS label string